Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# DateBookDB Class Reference
[obsolete]

The DateBookDB class is used to access event information in the Qtopia database. More...

`#include <qtopia/datebookdb.h>`

List of all member functions.

## Public Members

- DateBookDB ()
- ~DateBookDB ()
- QValueList<Event> getEvents ( const QDate & from, const QDate & to )
- QValueList<Event> getEvents ( const QDateTime & start )
- QValueList<EffectiveEvent> getEffectiveEvents ( const QDate & from, const QDate & to )
- QValueList<EffectiveEvent> getEffectiveEvents ( const QDateTime & dt )
- QValueList<Event> getRawRepeats () const
- QValueList<Event> getNonRepeatingEvents ( const QDate & from, const QDate & to ) const
- void addEvent ( const Event & ev, bool doalarm = TRUE )
- void removeEvent ( const Event & ev )
- void editEvent ( const Event & old, Event & editedEv )
- void addJFEvent ( const Event & ev, bool doalarm = TRUE )
- void removeJFEvent ( const Event & ev )
- bool save ()
- void reload ()

## Detailed Description

The DateBookDB class is used to access event information in the Qtopia database.

This class is now obsolete, the class DateBookAccess in the Qtopia PIM library should be used instead.

This class is obsolete. It is provided to keep old source working. We strongly advise against using it in new code.

See also DateBookIterator, DateBookAccess and Qtopia Classes.

## Member Function Documentation

### DateBookDB::DateBookDB ()

### DateBookDB::~DateBookDB ()

### void DateBookDB::addEvent ( const Event & ev, bool doalarm = TRUE )

ev doalarm

### void DateBookDB::addJFEvent ( const Event & ev, bool doalarm = TRUE )

ev doalarm

### void DateBookDB::editEvent ( const Event & old, Event & editedEv )

old editedEv

### QValueList<EffectiveEvent> DateBookDB::getEffectiveEvents ( const QDate & from, const QDate & to )

from to

### QValueList<EffectiveEvent> DateBookDB::getEffectiveEvents ( const QDateTime & dt )

dt

### QValueList<Event> DateBookDB::getEvents ( const QDate & from, const QDate & to )

obsolete from to

### QValueList<Event> DateBookDB::getEvents ( const QDateTime & start )

start

### QValueList<Event> DateBookDB::getNonRepeatingEvents ( const QDate & from, const QDate & to ) const

from to

### QValueList<Event> DateBookDB::getRawRepeats () const

### void DateBookDB::reload ()

### void DateBookDB::removeEvent ( const Event & ev )

ev

### void DateBookDB::removeJFEvent ( const Event & ev )

ev

### bool DateBookDB::save ()

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.